org.apache.fop.render.pdf.pdfbox

## Class PDFBoxAdapterUtil

- java.lang.Object
- - org.apache.fop.render.pdf.pdfbox.PDFBoxAdapterUtil

-     public final class PDFBoxAdapterUtil
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.Object` | `getBaseKey(java.lang.Object base)`
    `protected static void` | `moveAnnotations(org.apache.pdfbox.pdmodel.PDPage page, java.util.List pageAnnotations, java.awt.geom.AffineTransform at, java.awt.Rectangle pos)`
    `protected static void` | `rotate(int rotation, org.apache.pdfbox.pdmodel.common.PDRectangle viewBox, java.awt.geom.AffineTransform atdoc)`
    `protected static void` | `updateAnnotationLink(org.apache.fop.pdf.PDFDictionary clonedAnnot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBaseKey

          protected static java.lang.Object getBaseKey(java.lang.Object base)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### rotate

          protected static void rotate(int rotation,
                                       org.apache.pdfbox.pdmodel.common.PDRectangle viewBox,
                                       java.awt.geom.AffineTransform atdoc)

    - #### updateAnnotationLink

          protected static void updateAnnotationLink(org.apache.fop.pdf.PDFDictionary clonedAnnot)

    - #### moveAnnotations

          protected static void moveAnnotations(org.apache.pdfbox.pdmodel.PDPage page,
                                                java.util.List pageAnnotations,
                                                java.awt.geom.AffineTransform at,
                                                java.awt.Rectangle pos)

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.